<?php
/**
 * Created by PhpStorm.
 * User: 王源
 * Date: 2020/1/9
 * Time: 15:07
 */

namespace Meibuyu\Rpc\Service\Interfaces\User;

interface TeamServiceInterface
{
    /**
     * 根据团队 ID 获取对应的部门团队
     * @param array $teamIds
     * @param array|string[] $columns
     * @return array
     */
    public function getDepartmentTeamsByTeamIds(array $teamIds, array $columns = ['*']): array;


    /**
     * Notes: 根据部门获取团队
     * return array
     */
    public function getTeamByDepartmentIds($departmentIds, array $relations = [], array $columns = ['id', 'pid', "name", "leader_user_id", "department_id",'status','is_disabled']): array;

    /**
     * 获取当前用户所在团队及上级团队所有人（包含负责人）
     *
     * @param int $userId 用户ID
     * @return array
     */
    public function getSelfAndSuperiorTeamUsers(int $userId): array;
}
